<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/window/window.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('window_8c.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">window.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="window_8h_source.html">include/window.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="entities_8h_source.html">../../entities/include/entities.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:afd77e11a17ce9641ae9f0771398a8f04"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8c.html#afd77e11a17ce9641ae9f0771398a8f04">createAppIcon</a> (SDL_Window *window)</td></tr>
<tr class="separator:afd77e11a17ce9641ae9f0771398a8f04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a540c1c45a29e3b479086beee4bd8b9"><td class="memItemLeft" align="right" valign="top">SDL_Window *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8c.html#a7a540c1c45a29e3b479086beee4bd8b9">createWindow</a> (va_list *app, <a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *self)</td></tr>
<tr class="separator:a7a540c1c45a29e3b479086beee4bd8b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afda0e6900518a6e14fa7c96e3eff3484"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8c.html#afda0e6900518a6e14fa7c96e3eff3484">prepareRender</a> (<a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *self)</td></tr>
<tr class="separator:afda0e6900518a6e14fa7c96e3eff3484"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6006961808c267856b5bcb01706bfa4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8c.html#a6006961808c267856b5bcb01706bfa4b">render</a> (<a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *self)</td></tr>
<tr class="separator:a6006961808c267856b5bcb01706bfa4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a4033b14bb34b9f7ce6eec4a13b73bc15"><td class="memItemLeft" align="right" valign="top">const void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="window_8c.html#a4033b14bb34b9f7ce6eec4a13b73bc15">Window</a> = &amp;window</td></tr>
<tr class="separator:a4033b14bb34b9f7ce6eec4a13b73bc15"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="afd77e11a17ce9641ae9f0771398a8f04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd77e11a17ce9641ae9f0771398a8f04">&#9670;&nbsp;</a></span>createAppIcon()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void createAppIcon </td>
          <td>(</td>
          <td class="paramtype">SDL_Window *&#160;</td>
          <td class="paramname"><em>window</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7a540c1c45a29e3b479086beee4bd8b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a540c1c45a29e3b479086beee4bd8b9">&#9670;&nbsp;</a></span>createWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SDL_Window* createWindow </td>
          <td>(</td>
          <td class="paramtype">va_list *&#160;</td>
          <td class="paramname"><em>app</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *&#160;</td>
          <td class="paramname"><em>self</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="afda0e6900518a6e14fa7c96e3eff3484"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afda0e6900518a6e14fa7c96e3eff3484">&#9670;&nbsp;</a></span>prepareRender()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void prepareRender </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6006961808c267856b5bcb01706bfa4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6006961808c267856b5bcb01706bfa4b">&#9670;&nbsp;</a></span>render()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void render </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="window_8h.html#afd15d98ee86456f1002213293d6fbb8a">WindowClass</a> *&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a4033b14bb34b9f7ce6eec4a13b73bc15"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4033b14bb34b9f7ce6eec4a13b73bc15">&#9670;&nbsp;</a></span>Window</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const void* Window = &amp;window</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_20a11ebd8f7c0325c2aa10fc0cdc0bc1.html">window</a></li><li class="navelem"><a class="el" href="window_8c.html">window.c</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
